Workplace - ERRO

Enterprise Search is starting...

scripting container class loader urls: [file:/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/jruby-stdlib-9.2.9.0.jar, file:/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/jetty-util.jar, file:/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/jruby-rack-1.1.21.jar, file:/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/jetty-servlets.jar, file:/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/jruby-core-9.2.9.0-complete.jar, file:/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/jruby-rack-worker_0.14.1.jar]
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by com.headius.backport9.modules.Modules (file:/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/jruby-core-9.2.9.0-complete.jar) to method sun.nio.ch.NativeThread.signal(long)
WARNING: Please consider reporting this to the maintainers of com.headius.backport9.modules.Modules
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
setting GEM_HOME to /home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems
... and BUNDLE_GEMFILE to /home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/Gemfile
loading resource: /home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/./META-INF/rails.rb
invoking /home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/./META-INF/rails.rb with: [runner, SharedTogo.start_app_server!]
[2020-06-22T22:51:30.528+00:00][5385][2002][app-server][INFO]: Successfully connected to Elasticsearch
[2020-06-22T22:51:30.662+00:00][5385][2002][app-server][INFO]: Enterprise Search version=7.8.0, JRuby version=9.2.9.0, Ruby version=2.5.7, Rails version=4.2.11.1
ERROR: org.jruby.exceptions.StandardError: (UnknownEsError) current license is non-compliant for [security]
org.jruby.exceptions.StandardError: (UnknownEsError) current license is non-compliant for [security]
	at RUBY.raise_from_response(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/swiftype/es/es_exception.class:28)
	at RUBY.raise_if_error!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/swiftype/es/response.class:93)
	at org.jruby.RubyKernel.tap(org/jruby/RubyKernel.java:1904)
	at RUBY.request!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/swiftype/es/client.class:45)
	at RUBY.request!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/swiftype/es/node.class:123)
	at RUBY.request!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/swiftype/es/index.class:40)
	at RUBY.health(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/lib/swiftype/es/index.class:153)
	at RUBY.create_db_lock_index(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/shared_togo/lib/shared_togo.class:952)
	at RUBY.install!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/shared_togo/lib/shared_togo.class:384)
	at RUBY.Application(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/config/application.class:87)
	at RUBY.execute_hook(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/lazy_load_hooks.rb:36)
	at RUBY.run_load_hooks(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/lazy_load_hooks.rb:45)
	at org.jruby.RubyArray.each(org/jruby/RubyArray.java:1814)
	at RUBY.run_load_hooks(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/lazy_load_hooks.rb:44)
	at RUBY.Finisher(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/application/finisher.rb:62)
	at org.jruby.RubyBasicObject.instance_exec(org/jruby/RubyBasicObject.java:2680)
	at home.ubuntu20.enterprise_minus_search_minus_7_dot_8_dot_0.tmp.jruby14890791972561241378extract.gems.gems.railties_minus_4_dot_2_dot_11_dot_1.lib.rails.initializable.run(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/initializable.rb:30)
	at home.ubuntu20.enterprise_minus_search_minus_7_dot_8_dot_0.tmp.jruby14890791972561241378extract.gems.gems.railties_minus_4_dot_2_dot_11_dot_1.lib.rails.initializable.run_initializers(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/initializable.rb:55)
	at uri_3a_classloader_3a_.META_minus_INF.jruby_dot_home.lib.ruby.stdlib.tsort.tsort_each(uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/tsort.rb:228)
	at uri_3a_classloader_3a_.META_minus_INF.jruby_dot_home.lib.ruby.stdlib.tsort.each_strongly_connected_component(uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/tsort.rb:350)
	at uri_3a_classloader_3a_.META_minus_INF.jruby_dot_home.lib.ruby.stdlib.tsort.each_strongly_connected_component_from(uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/tsort.rb:431)
	at uri_3a_classloader_3a_.META_minus_INF.jruby_dot_home.lib.ruby.stdlib.tsort.each_strongly_connected_component(uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/tsort.rb:349)
	at org.jruby.RubyArray.each(org/jruby/RubyArray.java:1814)
	at org.jruby.RubyMethod.call(org/jruby/RubyMethod.java:132)
	at RUBY.each_strongly_connected_component(uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/tsort.rb:347)
	at RUBY.tsort_each(uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/tsort.rb:226)
	at RUBY.tsort_each(uri:classloader:/META-INF/jruby.home/lib/ruby/stdlib/tsort.rb:205)
	at RUBY.run_initializers(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/initializable.rb:54)
	at RUBY.initialize!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/application.rb:352)
	at org.jruby.RubyKernel.public_send(org/jruby/RubyKernel.java:1974)
	at RUBY.method_missing(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/railtie.rb:194)
	at RUBY.<main>(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/config/environment.class:7)
	at org.jruby.RubyKernel.load(org/jruby/RubyKernel.java:1020)
	at RUBY.load(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/dependencies.rb:268)
	at home.ubuntu20.enterprise_minus_search_minus_7_dot_8_dot_0.tmp.jruby14890791972561241378extract.gems.gems.activesupport_minus_4_dot_2_dot_11_dot_1.lib.active_support.dependencies.load_dependency(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/dependencies.rb:240)
	at RUBY.load(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/dependencies.rb:268)
	at RUBY.<main>(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/config/environment.rb:1)
	at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:978)
	at home.ubuntu20.enterprise_minus_search_minus_7_dot_8_dot_0.tmp.jruby14890791972561241378extract.gems.gems.activesupport_minus_4_dot_2_dot_11_dot_1.lib.active_support.dependencies.require(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/dependencies.rb:274)
	at home.ubuntu20.enterprise_minus_search_minus_7_dot_8_dot_0.tmp.jruby14890791972561241378extract.gems.gems.activesupport_minus_4_dot_2_dot_11_dot_1.lib.active_support.dependencies.load_dependency(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/dependencies.rb:240)
	at home.ubuntu20.enterprise_minus_search_minus_7_dot_8_dot_0.tmp.jruby14890791972561241378extract.gems.gems.activesupport_minus_4_dot_2_dot_11_dot_1.lib.active_support.dependencies.require(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/activesupport-4.2.11.1/lib/active_support/dependencies.rb:274)
	at RUBY.require_environment!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/application.rb:328)
	at RUBY.<main>(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/commands/runner.rb:52)
	at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:978)
	at RUBY.require_command!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/commands/commands_tasks.rb:123)
	at RUBY.runner(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/commands/commands_tasks.rb:90)
	at RUBY.run_command!(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/commands/commands_tasks.rb:39)
	at RUBY.<main>(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/gems/gems/railties-4.2.11.1/lib/rails/commands.rb:17)
	at org.jruby.RubyKernel.require(org/jruby/RubyKernel.java:978)
	at home.ubuntu20.enterprise_minus_search_minus_7_dot_8_dot_0.tmp.jruby14890791972561241378extract.$_dot_.META_minus_INF.rails.<main>(/home/ubuntu20/enterprise-search-7.8.0/tmp/jruby14890791972561241378extract/./META-INF/rails.rb:7)

Enterprise-search does not start
I'm using Java 14
Elastic ok
Kibana Ok
It just doesn't start anymore
I appreciate the help

Hi @Gustavo_Gavazzoni,

I think you may have a few issues here. That error implies that while Elasticsearch has started, it's not actually healthy. Can you run:

curl -XGET 'http://<elasticsearch-host>:9200/_cluster/health?pretty=true' 

My guess is that you have a Basic license of Elasticsearch. But you will need Elasticsearch configured to use security features (you already have those configured) and those require a higher license. However, this error is from older versions of Elasticsearch. You'll see that the listed dependency for Workplace Search 7.8.0 is Elasticsearch 7.8.0 with a Platinum or Trial license. What version of Elasticsearch are you trying to use?

You may also notice that only Java 8 and Java 11 are supported. I don't think that's related to your current issue, but it may or may not cause issues for you down the line.

Let us know if you have trouble once you're using the right dependencies!

1 Like

Thank you, it was the expired license.

Please format your code, logs or configuration files using </> icon as explained in this guide and not the citation button. It will make your post more readable.

Or use markdown style like:

```
CODE
```

This is the icon to use if you are not using markdown format:

There's a live preview panel for exactly this reasons.

Lots of people read these forums, and many of them will simply skip over a post that is difficult to read, because it's just too large an investment of their time to try and follow a wall of badly formatted text.
If your goal is to get an answer to your questions, it's in your interest to make it as easy to read and understand as possible.
Please update your post.

Sorry!
I will make the correction.